Package com.massivecraft.factions.util.Particles

## Class ParticleEffect.BlockData

- java.lang.Object
- - com.massivecraft.factions.util.Particles.ParticleEffect.ParticleData
  - - com.massivecraft.factions.util.Particles.ParticleEffect.BlockData

Enclosing class:
  ParticleEffect

    public static final class ParticleEffect.BlockData
    extends ParticleEffect.ParticleData

Represents the block data for the `ParticleEffect.BLOCK_CRACK` and `ParticleEffect.BLOCK_DUST` effects This class is part of the ParticleEffect Library and follows the same usage conditions

Since:
  1.6

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`BlockData​(org.bukkit.Material material, byte data)` | Construct a new block data

### Method Summary

### Methods inherited from class com.massivecraft.factions.util.Particles.ParticleEffect.ParticleData

`getData, getMaterial, getPacketData, getPacketDataString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockData

    public BlockData​(org.bukkit.Material material,
                     byte data)
              throws java.lang.IllegalArgumentException

Construct a new block data

Parameters:
  `material` - Material of the block
  `data` - Data value of the block
Throws:
  `java.lang.IllegalArgumentException` - If the material is not a block
See Also:
  `ParticleData(Material, byte)`